Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.getxmldata
Class GetXMLDataMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.getxmldata.GetXMLDataMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class GetXMLDataMeta

extends BaseStepMeta
implements StepMetaInterface

Store run-time data on the getXMLData step.

Field Summary
`static String[]` | `RequiredFilesCode`
`static String[]` | `RequiredFilesDesc`

Constructor Summary
`GetXMLDataMeta()`

Method Summary
`boolean` | `addResultFile()`
`void` | `allocate(int nrfiles, int nrfields)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface resourceNamingInterface, Repository repository)` Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively.
`String` | `getEncoding()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface r, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`String[]` | `getFileMask()`
`String[]` | `getFileName()`
`String` | `getFilenameField()`
`String[]` | `getFileRequired()`
`org.pentaho.di.core.fileinput.FileInputList` | `getFiles(org.pentaho.di.core.variables.VariableSpace space)`
`GetXMLDataField[]` | `getInputFields()`
`boolean` | `getIsAFile()`
`String` | `getLoopXPath()`
`String` | `getPrunePath()`
`String` | `getRequiredFilesCode(String tt)`
`String` | `getRequiredFilesDesc(String tt)`
`long` | `getRowLimit()`
`String` | `getRowNumberField()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getXML()` Produces the XML string that describes this step's information.
`String` | `getXMLField()` Get XML field.
`boolean` | `includeFilename()`
`boolean` | `includeRowNumber()`
`boolean` | `isdoNotFailIfNoFile()`
`boolean` | `isIgnoreComments()`
`boolean` | `isIgnoreEmptyFile()`
`boolean` | `isInFields()` Get the IsInFields.
`boolean` | `isNamespaceAware()`
`boolean` | `isReadUrl()`
`boolean` | `isuseToken()`
`boolean` | `isValidating()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAddResultFile(boolean addResultFile)`
`void` | `setDefault()` Set default values
`void` | `setdoNotFailIfNoFile(boolean doNotFailIfNoFile)`
`void` | `setEncoding(String encoding)`
`void` | `setFileMask(String[] fileMask)`
`void` | `setFileName(String[] fileName)`
`void` | `setFilenameField(String filenameField)`
`void` | `setFileRequired(String[] fileRequiredin)`
`void` | `setIgnoreComments(boolean ignorecomments)`
`void` | `setIgnoreEmptyFile(boolean IsIgnoreEmptyFile)`
`void` | `setIncludeFilename(boolean includeFilename)`
`void` | `setIncludeRowNumber(boolean includeRowNumber)`
`void` | `setInFields(boolean inFields)`
`void` | `setInputFields(GetXMLDataField[] inputFields)`
`void` | `setIsAFile(boolean IsAFile)`
`void` | `setLoopXPath(String loopxpath)`
`void` | `setNamespaceAware(boolean nameSpaceAware)`
`void` | `setPrunePath(String prunePath)`
`void` | `setReadUrl(boolean readurl)`
`void` | `setRowLimit(long rowLimit)`
`void` | `setRowNumberField(String rowNumberField)`
`void` | `setuseToken(boolean usetoken)`
`void` | `setValidating(boolean validating)`
`void` | `setXMLField(String xmlField)` Set XML field.
`boolean` | `supportsErrorHandling()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps`

Field Detail

### RequiredFilesDesc

    public static final String[] RequiredFilesDesc

### RequiredFilesCode

    public static final String[] RequiredFilesCode

Constructor Detail

### GetXMLDataMeta

    public GetXMLDataMeta()

Method Detail

### addResultFile

    public boolean addResultFile()

  Returns:
    the add result filesname flag

### isValidating

    public boolean isValidating()

  Returns:
    the validating flag

### setValidating

    public void setValidating(boolean validating)

  Parameters:
    `validating` - the validating flag to set

### isReadUrl

    public boolean isReadUrl()

  Returns:
    the readurl flag

### setReadUrl

    public void setReadUrl(boolean readurl)

  Parameters:
    `readurl` - the readurl flag to set

### setAddResultFile

    public void setAddResultFile(boolean addResultFile)

### getInputFields

    public GetXMLDataField[] getInputFields()

  Returns:
    Returns the input fields.

### setInputFields

    public void setInputFields(GetXMLDataField[] inputFields)

  Parameters:
    `inputFields` - The input fields to set.

### getXMLField

    public String getXMLField()

  Get XML field.

### setXMLField

    public void setXMLField(String xmlField)

  Set XML field.

### isInFields

    public boolean isInFields()

  Get the IsInFields.

### setInFields

    public void setInFields(boolean inFields)

  Parameters:
    `inFields` - set the inFields.

### getFileMask

    public String[] getFileMask()

  Returns:
    Returns the fileMask.

### setFileMask

    public void setFileMask(String[] fileMask)

  Parameters:
    `fileMask` - The fileMask to set.

### getFileRequired

    public String[] getFileRequired()

### setFileRequired

    public void setFileRequired(String[] fileRequiredin)

### getFileName

    public String[] getFileName()

  Returns:
    Returns the fileName.

### setFileName

    public void setFileName(String[] fileName)

  Parameters:
    `fileName` - The fileName to set.

### getFilenameField

    public String getFilenameField()

  Returns:
    Returns the filenameField.

### setFilenameField

    public void setFilenameField(String filenameField)

  Parameters:
    `filenameField` - The filenameField to set.

### includeFilename

    public boolean includeFilename()

  Returns:
    Returns the includeFilename.

### setIncludeFilename

    public void setIncludeFilename(boolean includeFilename)

  Parameters:
    `includeFilename` - The includeFilename to set.

### includeRowNumber

    public boolean includeRowNumber()

  Returns:
    Returns the includeRowNumber.

### setIncludeRowNumber

    public void setIncludeRowNumber(boolean includeRowNumber)

  Parameters:
    `includeRowNumber` - The includeRowNumber to set.

### getRowLimit

    public long getRowLimit()

  Returns:
    Returns the rowLimit.

### setRowLimit

    public void setRowLimit(long rowLimit)

  Parameters:
    `rowLimit` - The rowLimit to set.

### getLoopXPath

    public String getLoopXPath()

  Returns:
    Returns the LoopXPath

### setLoopXPath

    public void setLoopXPath(String loopxpath)

  Parameters:
    `loopxpath` - The loopxpath to set.

### setuseToken

    public void setuseToken(boolean usetoken)

  Parameters:
    `usetoken` - the "use token" flag to set

### isuseToken

    public boolean isuseToken()

  Returns:
    the use token flag

### isIgnoreEmptyFile

    public boolean isIgnoreEmptyFile()

  Returns:
    the IsIgnoreEmptyFile flag

### setIgnoreEmptyFile

    public void setIgnoreEmptyFile(boolean IsIgnoreEmptyFile)

  Parameters:
    `IsIgnoreEmptyFile` - the IsIgnoreEmptyFile to set

### isdoNotFailIfNoFile

    public boolean isdoNotFailIfNoFile()

  Returns:
    the doNotFailIfNoFile flag

### setdoNotFailIfNoFile

    public void setdoNotFailIfNoFile(boolean doNotFailIfNoFile)

  Parameters:
    `doNotFailIfNoFile` - the doNotFailIfNoFile to set

### isIgnoreComments

    public boolean isIgnoreComments()

  Returns:
    the ignorecomments flag

### setIgnoreComments

    public void setIgnoreComments(boolean ignorecomments)

  Parameters:
    `ignorecomments` - the ignorecomments to set

### setNamespaceAware

    public void setNamespaceAware(boolean nameSpaceAware)

  Parameters:
    `nameSpaceAware` - the name space aware flag to set

### isNamespaceAware

    public boolean isNamespaceAware()

  Returns:
    the name space aware flag

### getRowNumberField

    public String getRowNumberField()

  Returns:
    Returns the rowNumberField.

### setRowNumberField

    public void setRowNumberField(String rowNumberField)

  Parameters:
    `rowNumberField` - The rowNumberField to set.

### getEncoding

    public String getEncoding()

  Returns:
    the encoding

### setEncoding

    public void setEncoding(String encoding)

  Parameters:
    `encoding` - the encoding to set

### getIsAFile

    public boolean getIsAFile()

### setIsAFile

    public void setIsAFile(boolean IsAFile)

### getPrunePath

    public String getPrunePath()

  Returns:
    the prunePath

### setPrunePath

    public void setPrunePath(String prunePath)

  Parameters:
    `prunePath` - the prunePath to set

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### getRequiredFilesDesc

    public String getRequiredFilesDesc(String tt)

### getRequiredFilesCode

    public String getRequiredFilesCode(String tt)

### allocate

    public void allocate(int nrfiles,
                         int nrfields)

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface r,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `r` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### getFiles

    public org.pentaho.di.core.fileinput.FileInputList getFiles(org.pentaho.di.core.variables.VariableSpace space)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### supportsErrorHandling

    public boolean supportsErrorHandling()

  Specified by:
    `supportsErrorHandling` in interface `StepMetaInterface`
  Overrides:
    `supportsErrorHandling` in class `BaseStepMeta`
  Returns:
    true if this step supports error "reporting" on rows: the ability to send rows to a certain target step.

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface resourceNamingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively. So what this does is turn the name of files into absolute paths OR it simply includes the resource in the ZIP file. For now, we'll simply turn it into an absolute path and pray that the file is on a shared drive or something like that. TODO: create options to configure this behavior

  Specified by:
    `exportResources` in interface `StepMetaInterface`
  Overrides:
    `exportResources` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use
    `repository` - The repository to optionally load other resources from (to be converted to XML)
  Returns:
    the filename of the exported resource
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD